
import { connect } from 'umi';
import WorkOrderPack from '../../../components/Manufacture/WorkOrderPack/WorkOrderPack';

function WorkOrderPackComponent({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const commonBillProps = {
    app,
    content,
    dispatch,
    onRemovePane: removePane,
  };
  return (
    <WorkOrderPack {...commonBillProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(WorkOrderPackComponent);

